[arch-commits] Commit in gnucash/repos/community-x86_64 (4 files)

Balló György bgyorgy at archlinux.org
Fri Jul 10 21:39:21 UTC 2020


    Date: Friday, July 10, 2020 @ 21:39:21
  Author: bgyorgy
Revision: 663204

archrelease: copy trunk to community-x86_64

Added:
  gnucash/repos/community-x86_64/PKGBUILD
    (from rev 663203, gnucash/trunk/PKGBUILD)
Deleted:
  gnucash/repos/community-x86_64/06033c19cdff0abf4849ecc96e3ce0b0690fcd13.diff
  gnucash/repos/community-x86_64/PKGBUILD
  gnucash/repos/community-x86_64/e1b014035753beb111388c8468460b0c61d816bc.diff

-----------------------------------------------+
 06033c19cdff0abf4849ecc96e3ce0b0690fcd13.diff |   13 --
 PKGBUILD                                      |  109 ++++++++++--------------
 e1b014035753beb111388c8468460b0c61d816bc.diff |   21 ----
 3 files changed, 49 insertions(+), 94 deletions(-)

Deleted: 06033c19cdff0abf4849ecc96e3ce0b0690fcd13.diff
===================================================================
--- 06033c19cdff0abf4849ecc96e3ce0b0690fcd13.diff	2020-07-10 21:39:17 UTC (rev 663203)
+++ 06033c19cdff0abf4849ecc96e3ce0b0690fcd13.diff	2020-07-10 21:39:21 UTC (rev 663204)
@@ -1,13 +0,0 @@
-diff --git a/libgnucash/core-utils/binreloc.c b/libgnucash/core-utils/binreloc.c
-index 6eab8907c5..2e2067e383 100644
---- a/libgnucash/core-utils/binreloc.c
-+++ b/libgnucash/core-utils/binreloc.c
-@@ -475,7 +475,7 @@ find_component_directory (const gchar *default_dir, const gchar* compiled_dir)
-     prefix = gnc_gbr_find_prefix (NULL);
-     if (prefix == NULL)
-         return g_strdup (default_dir ? default_dir : compiled_dir);
--    if (!g_getenv("GNC_UNINSTALLE"))
-+    if (!g_getenv("GNC_UNINSTALLED"))
-     {
-         if (!g_strcmp0 (prefix, PREFIX))
-             return g_strdup (compiled_dir);

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2020-07-10 21:39:17 UTC (rev 663203)
+++ PKGBUILD	2020-07-10 21:39:21 UTC (rev 663204)
@@ -1,60 +0,0 @@
-# Maintainer: Balló György <ballogyor+arch at gmail dot com>
-# Maintainer: Jaroslav Lichtblau <svetlemodry at archlinux.org>
-# Contributor: Juergen Hoetzel <juergen at archlinux.org>
-# Contributor: Mark Schneider <queueRAM at gmail.com>
-
-pkgname=gnucash
-pkgver=3.10
-pkgrel=1
-pkgdesc='Personal and small-business financial-accounting application'
-arch=(x86_64)
-url='https://gnucash.org/'
-license=(GPL)
-depends=(aqbanking gwenhywfar boost-libs guile libdbi webkit2gtk)
-makedepends=(boost cmake gmock libdbi-drivers mariadb-libs postgresql-libs)
-optdepends=('gnucash-docs: documentation'
-            'libdbi-drivers: open and save data into SQL database'
-            'perl-date-manip: stock information lookups'
-            'perl-finance-quote: stock information lookups')
-options=(!emptydirs)
-source=(https://downloads.sourceforge.net/$pkgname/$pkgname-${pkgver}.tar.bz2
-        06033c19cdff0abf4849ecc96e3ce0b0690fcd13.diff
-        e1b014035753beb111388c8468460b0c61d816bc.diff)
-sha256sums=('b60772c276a63639964d1e24c795fbb9a7c0c6c45959168fe5cdfe08eb796f16'
-            '9cf2660e056854be4d793d7b90c309c9fcc3c2ec0153d24c4235da813e45205c'
-            'bfb67a1e07908d6fbfa7798464d56276025a6ef8fd09a9076c029a9393abed7c')
-
-prepare() {
-  cd $pkgname-$pkgver
-  # Fix build
-  patch -Np1 -i ../06033c19cdff0abf4849ecc96e3ce0b0690fcd13.diff
-  patch -Np1 -i ../e1b014035753beb111388c8468460b0c61d816bc.diff
-}
-build() {
-  cd $pkgname-$pkgver
-
-  # Do not treat warnings as errors
-  sed -e 's|-Werror||g' -i CMakeLists.txt
-
-  cmake	-DCMAKE_INSTALL_PREFIX=/usr \
-        -DCMAKE_INSTALL_LIBDIR=/usr/lib \
-        -DWITH_PYTHON=ON \
-        -DHAVE_GWEN_GTK3=ON \
-        -DCOMPILE_GSCHEMAS=OFF
-  make
-}
-
-check() {
-  cd $pkgname-$pkgver
-  make -k check || : # 1 test failed
-}
-
-package() {
-  cd $pkgname-$pkgver
-  make DESTDIR="$pkgdir" install
-
-  # Delete the gnucash-valgrind executable because the source files
-  # are not included with the package and the executable is hardlinked
-  # to the location that it was built at.
-  rm -f "$pkgdir/usr/bin/gnucash-valgrind"
-}

Copied: gnucash/repos/community-x86_64/PKGBUILD (from rev 663203, gnucash/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2020-07-10 21:39:21 UTC (rev 663204)
@@ -0,0 +1,49 @@
+# Maintainer: Balló György <ballogyor+arch at gmail dot com>
+# Maintainer: Jaroslav Lichtblau <svetlemodry at archlinux.org>
+# Contributor: Juergen Hoetzel <juergen at archlinux.org>
+# Contributor: Mark Schneider <queueRAM at gmail.com>
+
+pkgname=gnucash
+pkgver=4.0
+pkgrel=1
+pkgdesc='Personal and small-business financial-accounting application'
+arch=(x86_64)
+url='https://gnucash.org/'
+license=(GPL)
+depends=(aqbanking gwenhywfar boost-libs guile libdbi webkit2gtk)
+makedepends=(boost cmake gmock libdbi-drivers mariadb-libs postgresql-libs swig)
+optdepends=('gnucash-docs: documentation'
+            'libdbi-drivers: open and save data into SQL database'
+            'perl-date-manip: stock information lookups'
+            'perl-finance-quote: stock information lookups')
+options=(!emptydirs)
+source=(https://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.bz2)
+sha256sums=('aa523c4f1721b19ff51ac534c049644f175e3c3c01139555eb3d9cfa50949bb7')
+
+build() {
+  cd $pkgname-$pkgver
+
+  # Do not treat warnings as errors
+  sed -e 's|-Werror||g' -i CMakeLists.txt
+
+  cmake	-DCMAKE_INSTALL_PREFIX=/usr \
+        -DCMAKE_INSTALL_LIBDIR=/usr/lib \
+        -DWITH_PYTHON=ON \
+        -DCOMPILE_GSCHEMAS=OFF
+  make
+}
+
+check() {
+  cd $pkgname-$pkgver
+  make -k check || : # 2 tests failed
+}
+
+package() {
+  cd $pkgname-$pkgver
+  make DESTDIR="$pkgdir" install
+
+  # Delete the gnucash-valgrind executable because the source files
+  # are not included with the package and the executable is hardlinked
+  # to the location that it was built at.
+  rm -f "$pkgdir/usr/bin/gnucash-valgrind"
+}

Deleted: e1b014035753beb111388c8468460b0c61d816bc.diff
===================================================================
--- e1b014035753beb111388c8468460b0c61d816bc.diff	2020-07-10 21:39:17 UTC (rev 663203)
+++ e1b014035753beb111388c8468460b0c61d816bc.diff	2020-07-10 21:39:21 UTC (rev 663204)
@@ -1,21 +0,0 @@
-diff --git a/bindings/python/tests/CMakeLists.txt b/bindings/python/tests/CMakeLists.txt
-index 4e68d6d211..dca317de43 100644
---- a/bindings/python/tests/CMakeLists.txt
-+++ b/bindings/python/tests/CMakeLists.txt
-@@ -5,7 +5,7 @@ if (WITH_PYTHON)
-     # Because it hasn't been built yet
-     set(test_core_dir ${CMAKE_BINARY_DIR}/common/test-core)
-   endif()
--  add_custom_target(test-python-bindings ALL DEPENDS unittest_support gnucash-core-c-build gnucash-core-c-py swig-app-utils-python)
-+  add_custom_target(test-python-bindings ALL DEPENDS unittest_support gnucash-core-c-build gnucash-core-c-py sw_app_utils)
-   add_dependencies(check test-python-bindings)
-   add_test(python-bindings ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/runTests.py.in)
-   set_property(TEST python-bindings PROPERTY ENVIRONMENT
-@@ -21,6 +21,7 @@ set(test_python_bindings_DATA
-         test_business.py
-         test_commodity.py
-         test_numeric.py
-+        test_session.py
-         test_split.py
-         test_transaction.py
-         test_query.py)


More information about the arch-commits mailing list